org.apache.xmlgraphics.image.writer

## Class AbstractImageWriter

- java.lang.Object
- - org.apache.xmlgraphics.image.writer.AbstractImageWriter

- All Implemented Interfaces:
    ImageWriter
  Direct Known Subclasses:
    PNGImageWriter, TIFFImageWriter

      public abstract class AbstractImageWriter
      extends java.lang.Object
      implements ImageWriter

  Abstract base class for ImageWriter implementations.
  Version:
    $Id$

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractImageWriter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultiImageWriter` | `createMultiImageWriter(java.io.OutputStream out)` Creates a MultiImageWriter instance that lets you put multiple pages into a single file if the format supports it.
    `boolean` | `isFunctional()`
    `boolean` | `supportsMultiImageWriter()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlgraphics.image.writer.ImageWriter

      `getMIMEType, writeImage, writeImage`

- - ### Constructor Detail

    - #### AbstractImageWriter

          public AbstractImageWriter()

  - ### Method Detail

    - #### createMultiImageWriter

          public MultiImageWriter createMultiImageWriter(java.io.OutputStream out)
                                                  throws java.io.IOException

      Description copied from interface: `ImageWriter`
      Creates a MultiImageWriter instance that lets you put multiple pages into a single file if the format supports it.
      Specified by:
        `createMultiImageWriter` in interface `ImageWriter`
      Parameters:
        `out` - the OutputStream to write the image to
      Returns:
        the requested MultiImageWriter instance
      Throws:
        `java.io.IOException` - In case of an /IO problem
      See Also:
        `ImageWriter.createMultiImageWriter( java.io.OutputStream)`

    - #### isFunctional

          public boolean isFunctional()

      Specified by:
        `isFunctional` in interface `ImageWriter`
      Returns:
        true if the ImageWriter is expected to work properly in the current environment
      See Also:
        `ImageWriter.isFunctional()`

    - #### supportsMultiImageWriter

          public boolean supportsMultiImageWriter()

      Specified by:
        `supportsMultiImageWriter` in interface `ImageWriter`
      Returns:
        true if the implemented format supports multiple pages in a single file
      See Also:
        `ImageWriter.supportsMultiImageWriter()`

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.